define([
    'jquery',
    'matchMedia',
    'lazyload',
    'plyr',
    'jquery/ui',
    'swiper_4_0_6'
], function ($, mediaCheck, lazy, plyr, ui, Swiper) {
    'use strict';

    $.widget('filoblu.doubleSliderWidget', {

        _create: function () {

            var self = this,
                imageSlider = $('.slider-image',self.element),
                textSlider = $('.slider-text',self.element);

            if( $('.swiper-slide',textSlider).length > 1 ) {

                var doubleSliderText = new Swiper($(textSlider),{
                    grabCursor:false,
                    allowSlidePrev: false,
                    allowSlideNext: false,
                    effect: 'fade',
                    fadeEffect: {
                        crossFade: true
                    }

                });
            }


            if( $('.swiper-slide',imageSlider).length > 1 ) {

                var doubleSliderImage = new Swiper($(imageSlider),{
                    grabCursor:true,
                    observer:true,
                    navigation:{
                        prevEl: self.options.prevButton,
                        nextEl: self.options.nextButton
                    },
                    pagination: {
                        el: self.options.desktopPaginationContainer,
                        type: 'fraction'
                    },
                    controller: {
                        control: doubleSliderText
                    },
                    breakpoints: {
                        991: {
                            pagination: {
                                el: self.options.mobilePaginationContainer,
                                type: 'bullets'
                            }
                        }
                    }
                });
            }

            $(window).on('resize',function(){

            });
        }

    });

    return $.filoblu.sliderWidget;
});
